org.apache.felix.bundlerepository

## Interface Reason

All Known Implementing Classes:
  ReasonImpl

    public interface Reason

A pair of requirement and resource indicating a reason why a resource has been chosen. The reason indicates which resource and which requirement has been satisfied by the selected resource.

### Method Summary

Methods
`Requirement` `getRequirement()`
`Resource` `getResource()`

### Method Detail

#### getResource

    Resource getResource()

#### getRequirement

    Requirement getRequirement()